<div class="centered">
  <mat-stepper class="mat-elevation-z8">
    <mat-step [stepControl]="creditCardForm">
      <form [formGroup]="creditCardForm">
        <ng-template matStepLabel>Fill out your credit card details</ng-template>
        <div class="column">
          <mat-form-field appearance="fill">
            <mat-label>Card Number</mat-label>
            <input matInput
                   formControlName="cardNumber">
            <mat-error *ngIf="creditCardForm.controls['cardNumber'].invalid">Card Number required</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill">
            <mat-label>Bank Name</mat-label>
            <input matInput
                   formControlName="bankName">
            <mat-error *ngIf="creditCardForm.controls['bankName'].invalid">Bank name required</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill">
            <mat-label>CVV</mat-label>
            <input matInput
                   type="number"
                   formControlName="cvv">
            <mat-error *ngIf="creditCardForm.controls['cvv'].invalid">CVV invalid</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill">
            <mat-label>PIN</mat-label>
            <input matInput
                   type="number"
                   formControlName="pin">
            <mat-error *ngIf="creditCardForm.controls['pin'].invalid">PIN invalid</mat-error>
          </mat-form-field>
        </div>
        <div class="right-align">
          <button mat-raised-button color="primary" matStepperNext>Next</button>
        </div>
      </form>
    </mat-step>
    <mat-step [stepControl]="creditCardForm" label="Fill out your account details">
      <form [formGroup]="creditCardForm">
        <div class="column" formGroupName="account">
          <mat-form-field appearance="fill">
            <mat-label>IBAN</mat-label>
            <input matInput
                   formControlName="iban">
          </mat-form-field>
          <mat-form-field appearance="fill">
            <mat-label>Balance</mat-label>
            <input matInput
                   type="number"
                   formControlName="balance">
          </mat-form-field>
        </div>
        <div class="right-align">
          <button mat-raised-button color="primary" matStepperPrevious>Back</button>
          <button mat-raised-button color="primary" class="spacer" matStepperNext>Next</button>
        </div>
      </form>
    </mat-step>
    <mat-step>
      <ng-template matStepLabel>Done</ng-template>
      <p>You are now done.</p>
      <div class="right-align">
        <button mat-raised-button color="primary" matStepperPrevious>Back</button>
        <button mat-raised-button
                class="spacer"
                color="primary"
                (click)="onConfirm()"
                [disabled]="creditCardForm.invalid">
          Confirm</button>
      </div>
    </mat-step>
  </mat-stepper>
</div>
